#ifndef MAP_HPP_INCLUDED
#define MAP_HPP_INCLUDED

#include <cstdint>
#include "Object.hpp"
#include "Set.hpp"

class Map : public Object
{
    public:
        Map();
        Map(void* Obj);
        Map(const Map& M);
        Object GetValue(Object Key) const;
        Set GetKeySet() const;
};

#endif // MAP_HPP_INCLUDED
